Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class SchemaGrammar

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.Grammar
            |
            +--weblogic.apache.xerces.validators.schema.SchemaGrammar

public class SchemaGrammar
extends Grammar

Inner Class Summary
`class` | `SchemaGrammar.OneSubGroup`

Fields inherited from class weblogic.apache.xerces.validators.common.Grammar
`TOP_LEVEL_SCOPE`

Constructor Summary
`SchemaGrammar()`

Method Summary
`protected void` | `addAttDef(int templateElementIndex, QName attQName, int attType, int enumeration, int attDefaultType, java.lang.String attDefaultValue, DatatypeValidator dv, boolean isList)`
`protected int` | `addContentSpecNode(int contentSpecType, int value, int otherValue, boolean mustBeUnique)`
`protected int` | `addElementDecl(QName eltQName, int enclosingScope, int scopeDefined, int contentSpecType, int contentSpecIndex, int attrListHead, DatatypeValidator dv)`
`protected void` | `addElementDeclOneSubstitutionGroupQName(int elementDeclIndex, QName name, SchemaGrammar grammar, int eleIndex)`
`protected int` | `cloneElementDecl(int eltNdx, int enclosingScope, int scopeDefined)`
`protected int` | `convertContentSpecTree(int contentSpecIndex)`
`protected int` | `createAttributeDecl()`
`protected int` | `createContentSpec()`
`protected int` | `createElementDecl()`
`protected int` | `expandContentModel(int index, int minOccurs, int maxOccurs)`
`int` | `findAttributeDecl(int attListHead, QName attribute)`
`int` | `getAttributeDeclIndex(int elementIndex, QName attribute)`
`java.util.Hashtable` | `getAttributeDeclRegistry()`
`boolean` | `getCheckUniqueParticleAttribution()`
`java.util.Hashtable` | `getComplexTypeRegistry()`
`XMLContentModel` | `getContentModel(int contentSpecIndex, int contentType, SubstitutionGroupComparator comparator)`
`protected int` | `getContentSpecMaxOccurs(int contentSpecIndex)`
`protected int` | `getContentSpecMinOccurs(int contentSpecIndex)`
`int` | `getContentSpecOrgUri(int contentSpecIndex)`
`DatatypeValidatorFactoryImpl` | `getDatatypeRegistry()`
`boolean` | `getDeferContentSpecExpansion()`
`TraverseSchema.ComplexTypeInfo` | `getElementComplexTypeInfo(int elementDeclIndex)`
`java.util.Vector` | `getElementDeclAllSubstitutionGroupQNames(int elementDeclIndex, GrammarResolver grammarResolver, StringPool stringPool)`
`int` | `getElementDeclBlockSet(int elementDeclIndex)`
`int` | `getElementDeclFinalSet(int elementDeclIndex)`
`int` | `getElementDeclMiscFlags(int elementDeclIndex)`
`java.lang.String` | `getElementDeclSubstitutionGroupAffFullName(int elementDeclIndex)`
`int` | `getElementDefaultTYpe(int elementDeclIndex)`
`java.lang.String` | `getElementDefaultValue(int elementDeclIndex)`
`int` | `getElementDefinedScope(int elementDeclIndex)`
`java.lang.String` | `getElementFromAnotherSchemaURI(int elementDeclIndex)`
`NamespacesScope` | `getNamespacesScope()`
`java.lang.String` | `getTargetNamespaceURI()`
`protected void` | `setAttributeDecl(int elementDeclIndex, int attributeDeclIndex, XMLAttributeDecl attributeDecl)`
`protected void` | `setAttributeDeclRegistry(java.util.Hashtable attrReg)`
`void` | `setCheckUniqueParticleAttribution()`
`protected void` | `setComplexTypeRegistry(java.util.Hashtable cTypeReg)`
`protected void` | `setContentSpec(int contentSpecIndex, XMLContentSpec contentSpec)`
`protected void` | `setContentSpecMaxOccurs(int contentSpecIndex, int maxOccurs)`
`protected void` | `setContentSpecMinOccurs(int contentSpecIndex, int minOccurs)`
`void` | `setContentSpecOrgUri(int contentSpecIndex, int orgUri)`
`protected void` | `setDatatypeRegistry(DatatypeValidatorFactoryImpl dTypeReg)`
`void` | `setDeferContentSpecExpansion()`
`protected void` | `setElementComplexTypeInfo(int elementDeclIndex, TraverseSchema.ComplexTypeInfo typeInfo)`
`protected void` | `setElementDecl(int elementDeclIndex, XMLElementDecl elementDecl)`
`protected void` | `setElementDeclBlockSet(int elementDeclIndex, int blockSet)`
`protected void` | `setElementDeclFinalSet(int elementDeclIndex, int finalSet)`
`protected void` | `setElementDeclMiscFlags(int elementDeclIndex, int miscFlags)`
`protected void` | `setElementDeclSubstitutionGroupAffFullName(int elementDeclIndex, java.lang.String substitutionGroupFullName)`
`protected void` | `setElementDefault(int elementDeclIndex, java.lang.String defaultValue)`
`protected void` | `setElementDefinedScope(int elementDeclIndex, int scopeDefined)`
`protected void` | `setElementFromAnotherSchemaURI(int elementDeclIndex, java.lang.String anotherSchemaURI)`
`protected void` | `setFirstAttributeDeclIndex(int eltNdx, int attListHead)` set the attribute decl index
`protected void` | `setNamespacesScope(NamespacesScope nsScope)`
`protected void` | `setTargetNamespaceURI(java.lang.String targetNSUri)`

Methods inherited from class weblogic.apache.xerces.validators.common.Grammar
`clearContentModel, existContentModel, getAttributeDecl, getContentSpec, getElementContentModel, getElementDecl, getElementDeclIndex, getElementDeclIndex, getElementDeclIndex, getFirstAttributeDeclIndex, getGrammarDocument, getNextAttributeDeclIndex, isDTD, printAttributes, printElements, putElementNameMapping, setGrammarDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGrammar

    public SchemaGrammar()

Method Detail

### getNamespacesScope

    public NamespacesScope getNamespacesScope()

### getDeferContentSpecExpansion

    public boolean getDeferContentSpecExpansion()

### getCheckUniqueParticleAttribution

    public boolean getCheckUniqueParticleAttribution()

### getTargetNamespaceURI

    public java.lang.String getTargetNamespaceURI()

### getAttributeDeclRegistry

    public java.util.Hashtable getAttributeDeclRegistry()

### getComplexTypeRegistry

    public java.util.Hashtable getComplexTypeRegistry()

### getDatatypeRegistry

    public DatatypeValidatorFactoryImpl getDatatypeRegistry()

### getElementDefinedScope

    public int getElementDefinedScope(int elementDeclIndex)

### getElementDefaultTYpe

    public int getElementDefaultTYpe(int elementDeclIndex)

### getElementDeclBlockSet

    public int getElementDeclBlockSet(int elementDeclIndex)

### getElementDeclFinalSet

    public int getElementDeclFinalSet(int elementDeclIndex)

### getElementDeclMiscFlags

    public int getElementDeclMiscFlags(int elementDeclIndex)

### getElementFromAnotherSchemaURI

    public java.lang.String getElementFromAnotherSchemaURI(int elementDeclIndex)

### getElementDefaultValue

    public java.lang.String getElementDefaultValue(int elementDeclIndex)

### getElementDeclSubstitutionGroupAffFullName

    public java.lang.String getElementDeclSubstitutionGroupAffFullName(int elementDeclIndex)

### getElementDeclAllSubstitutionGroupQNames

    public java.util.Vector getElementDeclAllSubstitutionGroupQNames(int elementDeclIndex,
                                                                     GrammarResolver grammarResolver,
                                                                     StringPool stringPool)

### getElementComplexTypeInfo

    public TraverseSchema.ComplexTypeInfo getElementComplexTypeInfo(int elementDeclIndex)

### convertContentSpecTree

    protected int convertContentSpecTree(int contentSpecIndex)

  Overrides:
    convertContentSpecTree in class Grammar

### getContentModel

    public XMLContentModel getContentModel(int contentSpecIndex,
                                           int contentType,
                                           SubstitutionGroupComparator comparator)
                                    throws java.lang.Exception

  Overrides:
    getContentModel in class Grammar

### setContentSpecOrgUri

    public void setContentSpecOrgUri(int contentSpecIndex,
                                     int orgUri)

### getContentSpecOrgUri

    public int getContentSpecOrgUri(int contentSpecIndex)

### setDeferContentSpecExpansion

    public void setDeferContentSpecExpansion()

### setCheckUniqueParticleAttribution

    public void setCheckUniqueParticleAttribution()

### setAttributeDeclRegistry

    protected void setAttributeDeclRegistry(java.util.Hashtable attrReg)

### setComplexTypeRegistry

    protected void setComplexTypeRegistry(java.util.Hashtable cTypeReg)

### setDatatypeRegistry

    protected void setDatatypeRegistry(DatatypeValidatorFactoryImpl dTypeReg)

### setNamespacesScope

    protected void setNamespacesScope(NamespacesScope nsScope)

### setTargetNamespaceURI

    protected void setTargetNamespaceURI(java.lang.String targetNSUri)

### createElementDecl

    protected int createElementDecl()

  Overrides:
    createElementDecl in class Grammar

### setElementDecl

    protected void setElementDecl(int elementDeclIndex,
                                  XMLElementDecl elementDecl)

  Overrides:
    setElementDecl in class Grammar

### createContentSpec

    protected int createContentSpec()

  Overrides:
    createContentSpec in class Grammar

### setContentSpec

    protected void setContentSpec(int contentSpecIndex,
                                  XMLContentSpec contentSpec)

  Overrides:
    setContentSpec in class Grammar

### createAttributeDecl

    protected int createAttributeDecl()

  Overrides:
    createAttributeDecl in class Grammar

### setAttributeDecl

    protected void setAttributeDecl(int elementDeclIndex,
                                    int attributeDeclIndex,
                                    XMLAttributeDecl attributeDecl)

  Overrides:
    setAttributeDecl in class Grammar

### setElementDefinedScope

    protected void setElementDefinedScope(int elementDeclIndex,
                                          int scopeDefined)

### setElementFromAnotherSchemaURI

    protected void setElementFromAnotherSchemaURI(int elementDeclIndex,
                                                  java.lang.String anotherSchemaURI)

### setElementComplexTypeInfo

    protected void setElementComplexTypeInfo(int elementDeclIndex,
                                             TraverseSchema.ComplexTypeInfo typeInfo)

### setElementDefault

    protected void setElementDefault(int elementDeclIndex,
                                     java.lang.String defaultValue)

### setElementDeclBlockSet

    protected void setElementDeclBlockSet(int elementDeclIndex,
                                          int blockSet)

### setElementDeclFinalSet

    protected void setElementDeclFinalSet(int elementDeclIndex,
                                          int finalSet)

### setElementDeclMiscFlags

    protected void setElementDeclMiscFlags(int elementDeclIndex,
                                           int miscFlags)

### setElementDeclSubstitutionGroupAffFullName

    protected void setElementDeclSubstitutionGroupAffFullName(int elementDeclIndex,
                                                              java.lang.String substitutionGroupFullName)

### addElementDeclOneSubstitutionGroupQName

    protected void addElementDeclOneSubstitutionGroupQName(int elementDeclIndex,
                                                           QName name,
                                                           SchemaGrammar grammar,
                                                           int eleIndex)

### setContentSpecMinOccurs

    protected void setContentSpecMinOccurs(int contentSpecIndex,
                                           int minOccurs)

### getContentSpecMinOccurs

    protected int getContentSpecMinOccurs(int contentSpecIndex)

### getContentSpecMaxOccurs

    protected int getContentSpecMaxOccurs(int contentSpecIndex)

### setContentSpecMaxOccurs

    protected void setContentSpecMaxOccurs(int contentSpecIndex,
                                           int maxOccurs)

### addElementDecl

    protected int addElementDecl(QName eltQName,
                                 int enclosingScope,
                                 int scopeDefined,
                                 int contentSpecType,
                                 int contentSpecIndex,
                                 int attrListHead,
                                 DatatypeValidator dv)

  Returns:
    elementDecl Index,

### cloneElementDecl

    protected int cloneElementDecl(int eltNdx,
                                   int enclosingScope,
                                   int scopeDefined)

### addAttDef

    protected void addAttDef(int templateElementIndex,
                             QName attQName,
                             int attType,
                             int enumeration,
                             int attDefaultType,
                             java.lang.String attDefaultValue,
                             DatatypeValidator dv,
                             boolean isList)

  Returns:
    the new attribute List Head

### getAttributeDeclIndex

    public int getAttributeDeclIndex(int elementIndex,
                                     QName attribute)

### findAttributeDecl

    public int findAttributeDecl(int attListHead,
                                 QName attribute)

### setFirstAttributeDeclIndex

    protected void setFirstAttributeDeclIndex(int eltNdx,
                                              int attListHead)

  set the attribute decl index

  Overrides:
    setFirstAttributeDeclIndex in class Grammar

### addContentSpecNode

    protected int addContentSpecNode(int contentSpecType,
                                     int value,
                                     int otherValue,
                                     boolean mustBeUnique)

  Returns:
    the new contentSpec Index

### expandContentModel

    protected int expandContentModel(int index,
                                     int minOccurs,
                                     int maxOccurs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference